import React from 'react';
import { IWidgetConfig, IWidgetContext, IWidgetState } from '../interface';
import { Store } from 'redux';
/**
 * 1. provide the ability to read and write to the data source of the widget.
 * 2. provide the ability to read and write to the datasheet data.
 */
export declare const WidgetContext: React.Context<IWidgetContext>;
export declare type IWidgetProviderProps = Omit<IWidgetContext, 'locale' | 'widgetStore'> & Omit<IWidgetConfig, 'mountId'> & {
    locale?: string;
    /** Optionally, add a class to the outermost div of the components */
    className?: string;
    /** Optionally, add a style to the outermost div of the components */
    style?: React.CSSProperties;
    widgetStore?: Store<IWidgetState>;
};
/**
 * Provide the ability to get and control the outer UI state of the widget.
 */
export declare const WidgetConfigContext: React.Context<IWidgetConfig>;
/**
 * Within the main project, the WidgetProvider need to be wrapped before the widget be used.
 */
export declare const WidgetProvider: React.FC<IWidgetProviderProps>;
//# sourceMappingURL=widget_context.d.ts.map