import { IDatasheetPermission } from '../../core';
/**
 * Permissions for the widget creation, deletion, renaming, location change, etc.
 * are dependent on the datasheet or dashboard where the widget is located.
 * Permission judgments for those operations have already been handled at the top level.
 * The widget itself has only one permission to write data to the storage.
 * The permission is dynamically calculated based on the environment the widget is currently in.
 */
interface IWidgetPermission {
    storage: {
        editable: boolean;
    };
    datasheet?: IDatasheetPermission;
}
/**
 * @private
 * Only exposed for use by hooks in sdk.
 */
export declare const usePermission: () => IWidgetPermission;
export {};
//# sourceMappingURL=use_permission.d.ts.map