import { IMetaType } from '../interface';
/**
 * Get meta information of the widget, including the widget itself, the author, the information in datasheet, etc.
 *
 * @returns
 *
 * ### Example
 * ```js
 * import { useMeta } from '@apitable/widget-sdk';
 *
 * // Show the datasheet and author associated with the widget
 * function Meta() {
 *   const { datasheetName, authorName } = useMeta();
 *   return (<div>
 *     <p>Name of the datasheet associated with the widget: {datasheetName}</p>
 *     <p>Widget author: {authorName}</p>
 *   </div>);
 * }
 * ```
 *
 */
export declare function useMeta(): IMetaType;
//# sourceMappingURL=use_meta.d.ts.map