import React from 'react';
export declare enum WidgetLoadError {
    UrlIllegal = 1,
    PackageIdNotMatch = 2,
    CretInvalid = 3,
    LoadError = 4,
    CliLowVersion = 5,
    UnknownError = -1
}
export declare function loadWidget(url: string, widgetPackageId: string, refresh?: boolean): Promise<React.FC<{}>>;
export declare function initializeWidget(Component: React.FC, widgetPackageId: string | undefined): void;
/**
 * distinguish whether the browser restriction is not lifted when the widget loads with an error
 * @param bundleUrl
 */
export declare function checkCretInvalid(bundleUrl: any): Promise<unknown>;
interface IWidgetConfig {
    sandbox?: boolean;
    packageId?: string;
}
/**
 * get sandbox configuration in widget development mode
 * @param bundleUrl bundleUrl path
 */
export declare function getWidgetConfig(bundleUrl: any): Promise<IWidgetConfig>;
/**
 * check for widget dev mode loading
 * @param bundleUrl path of the widget bundleUrl
 * @param widgetPackageId
 */
export declare function loadWidgetCheck(bundleUrl: any, widgetPackageId: any): Promise<IWidgetConfig>;
interface ICliInfo {
    version: string;
}
/**
 * cli version check
 */
export declare function checkCliVersion(bundleUrl: any): Promise<ICliInfo>;
export {};
//# sourceMappingURL=initialize_widget.d.ts.map