import { IReduxState } from '../core';
import { AnyAction, CombinedState, Store } from 'redux';
import { IGlobalContext, IWidgetState } from '../interface';
export * from './selector';
export * from './actions';
export * from './connector';
export * from './constant';
export * from './slice/root';
export declare type IWidgetStore = Store<CombinedState<IWidgetState>, AnyAction>;
export declare const createGlobalStore: () => Store<IReduxState, any>;
/**
 * @description Initialize all the dependencies and data needed for the widget and create an environment that can run independently.
 * 1. Enables widget developers to develop widget directly without launching the main development environment.
 * 2. Allow the widget to be displayed independently from the datasheet (standalone page).
 */
export declare const initGlobalContext: () => IGlobalContext;
//# sourceMappingURL=index.d.ts.map