import { IDatasheetPack, IReduxState, Role } from '../../../core';
import { IWidgetDashboardState, IWidgetDatasheetState, IWidgetState } from '../../../interface';
import { IFieldMap, IFieldPermissionMap } from '../../../core';
import { IDashboardPack } from '@apitable/core';
/**
 * Get the datasheet state required by the widget in one go.
 */
export declare const widgetDatasheetSelector: (state: IReduxState, datasheetId: string) => IWidgetDatasheetState | null;
export declare const iframeWidgetDatasheetSelector: (datasheetPack: IDatasheetPack) => IWidgetDatasheetState | null;
export declare const iframeWidgetDashboardSelector: (dashboardPack?: IDashboardPack | null) => IWidgetDashboardState | null;
export declare const isCurrentDatasheetActive: (state: IWidgetState, currentDatasheetId?: string) => boolean;
export declare const getSnapshot: (state: IWidgetState, datasheetId?: string) => import("../../../core").ISnapshot | null;
export declare const getViews: (state: IWidgetState, datasheetId?: string) => import("../../../core").IViewProperty[] | undefined;
export declare const getFieldPermissionMap: (state: IWidgetState, datasheetId?: string) => IFieldPermissionMap | undefined;
export declare const getView: import("re-reselect").ParametricSelector<IWidgetState, string | undefined, {
    columns: import("@apitable/core").IViewColumn[];
    id: string;
    type: import("@apitable/core").ViewType.Grid;
    frozenColumnCount: number;
    rowHeightLevel?: import("@apitable/core").RowHeightLevel | undefined;
    autoHeadHeight?: boolean | undefined;
    groupInfo?: import("@apitable/core").IGroupInfo | undefined;
    name: string;
    rows: import("../../../core").IViewRow[];
    autoSave?: boolean | undefined;
    description?: string | undefined;
    hidden?: boolean | undefined;
    filterInfo?: import("@apitable/core").IFilterInfo | undefined;
    sortInfo?: import("@apitable/core").ISortInfo | undefined;
    lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
} | {
    columns: import("@apitable/core").IViewColumn[];
    type: import("@apitable/core").ViewType.Gallery;
    style: import("@apitable/core").IGalleryViewStyle;
    groupInfo?: import("@apitable/core").IGroupInfo | undefined;
    id: string;
    name: string;
    rows: import("../../../core").IViewRow[];
    autoSave?: boolean | undefined;
    description?: string | undefined;
    hidden?: boolean | undefined;
    filterInfo?: import("@apitable/core").IFilterInfo | undefined;
    sortInfo?: import("@apitable/core").ISortInfo | undefined;
    lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
} | {
    columns: import("@apitable/core").IViewColumn[];
    type: import("@apitable/core").ViewType.Kanban;
    groupInfo?: import("@apitable/core").IGroupInfo | undefined;
    style: import("@apitable/core").IKanbanStyle;
    id: string;
    name: string;
    rows: import("../../../core").IViewRow[];
    autoSave?: boolean | undefined;
    description?: string | undefined;
    hidden?: boolean | undefined;
    filterInfo?: import("@apitable/core").IFilterInfo | undefined;
    sortInfo?: import("@apitable/core").ISortInfo | undefined;
    lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
} | {
    columns: import("@apitable/core").IViewColumn[];
    id: string;
    type: import("@apitable/core").ViewType.Gantt;
    style: import("@apitable/core").IGanttViewStyle;
    groupInfo?: import("@apitable/core").IGroupInfo | undefined;
    frozenColumnCount: number;
    rowHeightLevel?: import("@apitable/core").RowHeightLevel | undefined;
    autoHeadHeight?: boolean | undefined;
    name: string;
    rows: import("../../../core").IViewRow[];
    autoSave?: boolean | undefined;
    description?: string | undefined;
    hidden?: boolean | undefined;
    filterInfo?: import("@apitable/core").IFilterInfo | undefined;
    sortInfo?: import("@apitable/core").ISortInfo | undefined;
    lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
} | {
    columns: import("@apitable/core").IViewColumn[];
    id: string;
    type: import("@apitable/core").ViewType.Calendar;
    frozenColumnCount: number;
    rowHeightLevel?: import("@apitable/core").RowHeightLevel | undefined;
    groupInfo?: import("@apitable/core").IGroupInfo | undefined;
    style: import("@apitable/core").ICalendarViewStyle;
    name: string;
    rows: import("../../../core").IViewRow[];
    autoSave?: boolean | undefined;
    description?: string | undefined;
    hidden?: boolean | undefined;
    filterInfo?: import("@apitable/core").IFilterInfo | undefined;
    sortInfo?: import("@apitable/core").ISortInfo | undefined;
    lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
} | {
    columns: import("@apitable/core").IViewColumn[];
    type: import("@apitable/core").ViewType.OrgChart;
    groupInfo?: import("@apitable/core").IGroupInfo | undefined;
    style: import("@apitable/core").IOrgChartViewStyle;
    id: string;
    name: string;
    rows: import("../../../core").IViewRow[];
    autoSave?: boolean | undefined;
    description?: string | undefined;
    hidden?: boolean | undefined;
    filterInfo?: import("@apitable/core").IFilterInfo | undefined;
    sortInfo?: import("@apitable/core").ISortInfo | undefined;
    lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
} | undefined> & {
    resultFunc: (res1: import("../../../core").IViewProperty[] | undefined, res2: IFieldPermissionMap | undefined, res3: any) => {
        columns: import("@apitable/core").IViewColumn[];
        id: string;
        type: import("@apitable/core").ViewType.Grid;
        frozenColumnCount: number;
        rowHeightLevel?: import("@apitable/core").RowHeightLevel | undefined;
        autoHeadHeight?: boolean | undefined;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        type: import("@apitable/core").ViewType.Gallery;
        style: import("@apitable/core").IGalleryViewStyle;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        id: string;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        type: import("@apitable/core").ViewType.Kanban;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        style: import("@apitable/core").IKanbanStyle;
        id: string;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        id: string;
        type: import("@apitable/core").ViewType.Gantt;
        style: import("@apitable/core").IGanttViewStyle;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        frozenColumnCount: number;
        rowHeightLevel?: import("@apitable/core").RowHeightLevel | undefined;
        autoHeadHeight?: boolean | undefined;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        id: string;
        type: import("@apitable/core").ViewType.Calendar;
        frozenColumnCount: number;
        rowHeightLevel?: import("@apitable/core").RowHeightLevel | undefined;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        style: import("@apitable/core").ICalendarViewStyle;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        type: import("@apitable/core").ViewType.OrgChart;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        style: import("@apitable/core").IOrgChartViewStyle;
        id: string;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | undefined;
    dependencies: [import("re-reselect").ParametricSelector<IWidgetState, string | undefined, import("../../../core").IViewProperty[] | undefined>, import("re-reselect").ParametricSelector<IWidgetState, string | undefined, IFieldPermissionMap | undefined>, import("re-reselect").ParametricSelector<IWidgetState, string | undefined, any>];
    recomputations: () => number;
    resetRecomputations: () => number;
} & {
    getMatchingSelector: (state: IWidgetState, props: string | undefined, ...args: any[]) => import("re-reselect").OutputParametricSelector<IWidgetState, string | undefined, {
        columns: import("@apitable/core").IViewColumn[];
        id: string;
        type: import("@apitable/core").ViewType.Grid;
        frozenColumnCount: number;
        rowHeightLevel?: import("@apitable/core").RowHeightLevel | undefined;
        autoHeadHeight?: boolean | undefined;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        type: import("@apitable/core").ViewType.Gallery;
        style: import("@apitable/core").IGalleryViewStyle;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        id: string;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        type: import("@apitable/core").ViewType.Kanban;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        style: import("@apitable/core").IKanbanStyle;
        id: string;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        id: string;
        type: import("@apitable/core").ViewType.Gantt;
        style: import("@apitable/core").IGanttViewStyle;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        frozenColumnCount: number;
        rowHeightLevel?: import("@apitable/core").RowHeightLevel | undefined;
        autoHeadHeight?: boolean | undefined;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        id: string;
        type: import("@apitable/core").ViewType.Calendar;
        frozenColumnCount: number;
        rowHeightLevel?: import("@apitable/core").RowHeightLevel | undefined;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        style: import("@apitable/core").ICalendarViewStyle;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        type: import("@apitable/core").ViewType.OrgChart;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        style: import("@apitable/core").IOrgChartViewStyle;
        id: string;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | undefined, (res1: import("../../../core").IViewProperty[] | undefined, res2: IFieldPermissionMap | undefined, res3: any) => {
        columns: import("@apitable/core").IViewColumn[];
        id: string;
        type: import("@apitable/core").ViewType.Grid;
        frozenColumnCount: number;
        rowHeightLevel?: import("@apitable/core").RowHeightLevel | undefined;
        autoHeadHeight?: boolean | undefined;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        type: import("@apitable/core").ViewType.Gallery;
        style: import("@apitable/core").IGalleryViewStyle;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        id: string;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        type: import("@apitable/core").ViewType.Kanban;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        style: import("@apitable/core").IKanbanStyle;
        id: string;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        id: string;
        type: import("@apitable/core").ViewType.Gantt;
        style: import("@apitable/core").IGanttViewStyle;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        frozenColumnCount: number;
        rowHeightLevel?: import("@apitable/core").RowHeightLevel | undefined;
        autoHeadHeight?: boolean | undefined;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        id: string;
        type: import("@apitable/core").ViewType.Calendar;
        frozenColumnCount: number;
        rowHeightLevel?: import("@apitable/core").RowHeightLevel | undefined;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        style: import("@apitable/core").ICalendarViewStyle;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | {
        columns: import("@apitable/core").IViewColumn[];
        type: import("@apitable/core").ViewType.OrgChart;
        groupInfo?: import("@apitable/core").IGroupInfo | undefined;
        style: import("@apitable/core").IOrgChartViewStyle;
        id: string;
        name: string;
        rows: import("../../../core").IViewRow[];
        autoSave?: boolean | undefined;
        description?: string | undefined;
        hidden?: boolean | undefined;
        filterInfo?: import("@apitable/core").IFilterInfo | undefined;
        sortInfo?: import("@apitable/core").ISortInfo | undefined;
        lockInfo?: import("@apitable/core").IViewLockInfo | undefined;
    } | undefined, [import("re-reselect").ParametricSelector<IWidgetState, string | undefined, import("../../../core").IViewProperty[] | undefined>, import("re-reselect").ParametricSelector<IWidgetState, string | undefined, IFieldPermissionMap | undefined>, import("re-reselect").ParametricSelector<IWidgetState, string | undefined, any>]>;
    removeMatchingSelector: (state: IWidgetState, props: string | undefined, ...args: any[]) => void;
    clearCache: () => void;
    cache: import("re-reselect").ICacheObject;
    keySelector: import("re-reselect").ParametricKeySelector<IWidgetState, string | undefined>;
};
export declare const getFieldMap: import("reselect").OutputParametricSelector<IWidgetState, string | undefined, IFieldMap | undefined, (res1: import("@apitable/core").IMeta | undefined, res2: IFieldPermissionMap | undefined) => IFieldMap | undefined>;
export declare const getWidgetDatasheet: (state: IWidgetState, id?: string) => import("../../../interface").IDatasheetMain | undefined;
export declare const getFieldRoleByFieldId: (fieldPermissionMap: IFieldPermissionMap | undefined, fieldId: string) => null | Role;
export declare const getActiveView: (state: IWidgetState, id?: string) => string | undefined;
export declare const getWidgetDatasheetPack: (state: IWidgetState, id?: string) => IWidgetDatasheetState | null;
export declare const getSelection: (state: IWidgetState) => import("../../../core").ISelection | null | undefined;
export declare const getPermissions: (state: IWidgetState, id?: string) => import("../../../core").IPermissions | undefined;
export declare const getVisibleRowsCalcCache: (state: IWidgetState, datasheetId: string, viewId: string) => import("../../../core").IViewRow[] | null | undefined;
export declare const getViewById: (state: IWidgetState, datasheetId: string, viewId: string) => import("../../../core").IViewProperty | null | undefined;
export declare const getVisibleColumns: (state: IWidgetState, datasheetId: string, viewId: string) => import("@apitable/core").IViewColumn[];
//# sourceMappingURL=selector.d.ts.map