import { IViewPicker } from '../../interface';
/**
 *
 * View selector, using this components you can select all views of the currently datasheet.
 *
 * @returns
 *
 * #### Example
 *
 * Common usage.
 *
 * ``` ts
 * import React, { useState } from 'react';
 * import { ViewPicker } from '@apitable/widget-sdk';
 * const Example = () => {
 *   const [viewId, setViewId] = useState()
 *   return <ViewPicker viewId={viewId} onChange={option => setViewId(option.value)} />
 * }
 *
 * ```
 *
 * Use {@link useCloudStorage} implementing persistent storage.
 *
 * ``` ts
 * import React from 'react';
 * import { ViewPicker, useCloudStorage } from '@apitable/widget-sdk';
 * const ExampleCloud = () => {
 *   const [viewId, setViewId] = useCloudStorage('selectViewId');
 *   return <ViewPicker viewId={viewId} onChange={option => setViewId(option.value)} />;
 * };
 * ```
 *
 */
export declare const ViewPicker: (props: IViewPicker) => JSX.Element;
//# sourceMappingURL=view_picker.d.ts.map