export interface IString {
    /** Chinese */
    zh_CN?: string;
    /** English */
    en_US?: string;
}
/**
 * @hidden
 * t function for solving the internationalization scheme of the widget.
 *
 * @param string String object.
 * @returns String
 *
 * ## Example
 * ``` js
 * import { t } from '@apitable/widget-sdk';
 *
 * const strings = {
 *   total: {
 *     en_US: 'Total'
 *   }
 * };
 *
 * // The current system is English, then the console output "Total".
 * console.log(t(strings.total));
 *
 * ```
 */
export declare function t(string: IString): any;
//# sourceMappingURL=i18n.d.ts.map