export declare enum LangType {
    /** Chinese */
    ZhCN = "zh-CN",
    /** English */
    EnUS = "en-US"
}
/**
 * Used to get the current system language
 *
 * ## Example
 * ``` js
 * import { getLanguage, LangType } from '@apitable/widget-sdk';
 *
 * if (getLanguage() === LangType.ZhCN) {
 *   console.log('Current system language is Chinese');
 * }
 *
 * ```
 */
export declare function getLanguage(): LangType;
//# sourceMappingURL=language.d.ts.map